GET
/customers/{customer_id}/businesses Returns a paginated list of businesses for a customer. Use the query parameters to page through results.
By default, Paddle returns businesses that are active. Use the status query parameter to return businesses that are archived.
Requires business.read
permission.
Path parameters
customer_idstringrequired
Example:
ctm_01grnn4zta5a1mf02jjze7y2ysUnique Paddle ID for this customer entity, prefixed with
ctm_.Pattern:
^ctm_[a-z\d]{26}$Query parameters
idarray
Return only the IDs specified. Use a comma-separated list to get multiple entities.
afterstring
Return entities after the specified Paddle ID when working with paginated endpoints. Used in the
meta.pagination.next URL in responses for list operations.per_pageinteger
Default:
50Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check meta.pagination.per_page in the response to see how many were returned.
Default: 50; Maximum: 200.
Max: 200
order_bystring
Default:
id[DESC]Order returned entities by the specified field and direction ([ASC] or [DESC]). For example, ?order_by=id[ASC].
Valid fields for ordering: id.
statusarray
Default:
activeReturn entities that match the specified status. Use a comma-separated list to specify multiple status values.
Values
activeReturn entities where the status isactive. Returned entities can be used in Paddle and are returned when listing entities.archivedReturn entities where the status isarchived. Returned entities can't be used for billing and aren't returned when listing entities.
searchstring
Return entities that match a search query. Searches all fields, including contacts, except
status, created_at, and updated_at.Max length: 100
Response (200)
dataarrayrequired
idstringrequired
Example:
biz_01grrebrzaee2qj2fqqhmcyzajUnique Paddle ID for this business entity, prefixed with
biz_.Pattern:
^biz_[a-z\d]{26}$customer_idstringrequired
Example:
ctm_01grnn4zta5a1mf02jjze7y2ysPaddle ID for the customer related to this business, prefixed with
cus_.Pattern:
^ctm_[a-z\d]{26}$namestringrequired
Name of this business.
Length: 1–1024
company_numberstring | nullrequired
Example:
123456789Company number for this business.
Max length: 1024
tax_identifierstring | nullrequired
Example:
AB0123456789Tax or VAT Number for this business.
Max length: 1024
statusstringrequired
Default:
activeWhether this entity can be used in Paddle.
Values
activeEntity is active and can be used.archivedEntity is archived, so can't be used.
contactsarrayrequired
List of contacts related to this business, typically used for sending invoices.
Items: max 100, unique
namestringrequired
Full name of this contact.
Max length: 1024
emailstring (email)required
Example:
test@paddle.comEmail address for this contact.
Length: 1–320
created_atstring (date-time)required
Example:
2024-10-12T07:20:50.52ZRFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example:
2024-10-13T07:20:50.52ZRFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
custom_dataobject | nullrequired
Example:
{"customer_reference_id":"abcd1234"}Your own structured key-value data.
import_metaobject | nullrequired
Import information for this entity.
null if this entity is not imported.external_idstring | null
Example:
9b95b0b8-e10f-441a-862e-1936a6d818abReference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example:
paddle_classicName of the platform or provider where this entity was imported from.
Length: 1–200
metaobjectrequired
Information about this response.
request_idstringrequired
Example:
b15ec92e-8688-40d4-a04d-f44cbec93355Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
paginationobjectrequired
Keys used for working with paginated results.
per_pageintegerrequired
Number of entities per page for this response. May differ from the number requested if the requested number is greater than the maximum.
nextstring (uri)required
URL containing the query parameters of the original request, along with the
after parameter that marks the starting point of the next page. Always returned, even if has_more is false.has_morebooleanrequired
Whether this response has another page.
estimated_totalinteger
Example:
999Estimated number of entities for this response.
{ "data": [ { "id": "biz_01hv8j0z17hv4ew8teebwjmfcb", "status": "active", "customer_id": "ctm_01hv6y1jedq4p1n0yqn5ba3ky4", "name": "HighFly LLC.", "company_number": "555829503785", "tax_identifier": "555810433", "contacts": [ { "name": "Blair Lopez", "email": "blair@example.com" } ], "custom_data": null, "created_at": "2024-04-12T07:05:50.887Z", "updated_at": "2024-04-12T07:05:50.887Z", "import_meta": null }, { "id": "biz_01hv8hkr641vmpwytx38znv56k", "status": "active", "customer_id": "ctm_01hv6y1jedq4p1n0yqn5ba3ky4", "name": "Uplift Inc.", "company_number": "555775291485", "tax_identifier": "555952383", "contacts": [ { "name": "Parker Jones", "email": "parker@example.com" }, { "name": "Jo Riley", "email": "jo@example.com" }, { "name": "Jesse Garcia", "email": "jo@example.com" } ], "custom_data": { "crm_id": "eb9b8d9b-7dd6-48e6-8c39-8557bba5eaa9" }, "created_at": "2024-04-12T06:58:37.892Z", "updated_at": "2024-04-12T07:01:03.510528Z", "import_meta": null } ], "meta": { "request_id": "ec0cc200-3610-4726-a374-a2df142baff8", "pagination": { "per_page": 50, "next": "https://api.paddle.com/customers/ctm_01hv6y1jedq4p1n0yqn5ba3ky4/businesses?after=biz_01hv8hkr641vmpwytx38znv56k", "has_more": false, "estimated_total": 2 } }}